camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Babak Vahdat <babak.vah...@swissonline.ch>
Subject Re: Upgrade Spring 3.1.4.RELEASE -> 3.2.2.RELEASE
Date Tue, 14 May 2013 20:17:22 GMT
Well done, Thanks!

Babak

Am 14.05.13 21:41 schrieb "Christian Müller" unter
<christian.mueller@gmail.com>:

>It was easier than I expect. Karaf do the "hard work" and provide the
>features we depend on ;-)
>
>Best,
>Christian
>
>
>On Tue, May 14, 2013 at 9:37 PM, Babak Vahdat
><babak.vahdat@swissonline.ch>wrote:
>
>>
>> Just arrived @ home and saw your answer...
>>
>> Yeah exactly, the problem is that all those OSGi friendly Spring JARS in
>> 3.2.x have NOW the artifactId "org.springframework.XYZ" instead of just
>> "XYZ". This would need a huge change in the dependency chain of our
>>Maven
>> build as well as Karaf features. I'm curious to see if we could really
>> support BOTH Spring 3.1.x & 3.2.x at the SAME time out-of-the-box.
>>
>> We would also need to make use of Spring EBR by the parent or the root
>>POM:
>>
>> http://ebr.springsource.com/repository/app/faq#q8
>>
>> BTW looking at the following article it seems I'm not the only one
>>having
>> "doubt" about OSGi craft:
>>
>> http://www.infoq.com/news/2012/10/spring-osgi-gradle
>>
>> Babak
>>
>>
>> Am 14.05.13 20:48 schrieb "Christian Müller" unter
>> <christian.mueller@gmail.com>:
>>
>> >Thanks Babak for pointing this out!
>> >
>> >The difference is:
>> >Spring 3.1:
>> >mvn:org.springframework/core/3.1.x <- OSGI bundle
>> >
>> >Spring 3.2:
>> >mvn:org.springframework/core/3.2.x <- normal JAR file
>> >mvn:org.springframework/org.springframework.core/3.2.x <- OSGI bundle
>> >
>> >Bad...
>> >
>> >The Spring 3.2 OSGI bundles are only available in the Spring EBR at [1]
>> >
>> >Bad again...
>> >
>> >This makes it really complicated to provide a feature file for Spring
>>3.1
>> >and 3.2. I will work on this now. The first goal is to get it working
>>with
>> >Spring 3.2. Afterwards I will check what we can do to support Spring
>>3.1
>> >as
>> >well.
>> >
>> >[1] http://repository.springsource.com/maven/bundles/release
>> >
>> >Best,
>> >Christian
>> >
>> >
>> >On Tue, May 14, 2013 at 3:37 PM, Babak Vahdat
>> ><babak.vahdat@swissonline.ch>wrote:
>> >
>> >> Hi
>> >>
>> >> Just wonder if the current Karaf 2.3.x SVN code base really supports
>> >>Spring
>> >> 3.2.x as it's no longer OSGi complaint. This is also why currently
>>our
>> >> Karaf
>> >> features validation on trunk is failing:
>> >>
>> >> ~/dev/workspace/camel/platforms>mvn clean install -Pvalidate
>> >> Š
>> >> ...
>> >> [ERROR] Failed to execute goal
>> >> org.apache.karaf.tooling:features-maven-plugin:2.3.1:validate
>> >>(validate) on
>> >> project apache-camel: Unable to validate
>> >>
>> >>
>> 
>>>>/Users/bvahdat/dev/workspace/camel/platforms/karaf/features/target/clas
>>>>se
>> >>s/features.xml:
>> >> mvn:org.springframework/spring-context/3.2.2.RELEASE is not an OSGi
>> >>bundle
>> >> -> [Help 1]
>> >> [ERROR]
>> >> [ERROR] To see the full stack trace of the errors, re-run Maven with
>> >>the -e
>> >> switch.
>> >> [ERROR] Re-run Maven using the -X switch to enable full debug
>>logging.
>> >> [ERROR]
>> >> [ERROR] For more information about the errors and possible solutions,
>> >> please
>> >> read the following articles:
>> >> [ERROR] [Help 1]
>> >> 
>>http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
>> >> [ERROR]
>> >> [ERROR] After correcting the problems, you can resume the build with
>>the
>> >> command
>> >> [ERROR]   mvn <goals> -rf :apache-camel
>> >>
>> >> I assume if we would properly switch our Maven build to SpringSource
>>EBR
>> >> then the problem should be fixed, for more details see:
>> >>
>> >>    http://www.springsource.org/springframework-ebr
>> >>
>> >> I also checked the the Karaf 2.3.x branch code base and couldn't find
>> >>any
>> >> usage of SpringSource EBR but maybe I missed something.
>> >>
>> >> Babak
>> >>
>> >> Christian Mueller wrote
>> >> > JB added the Spring 3.2 support to Karaf 2.3.x today [1].
>> >> > I will go ahead and make Spring 3.2 as the default and set up a
>>Spring
>> >> 3.1
>> >> > CI build as well.
>> >> >
>> >> > [1] http://svn.apache.org/viewvc?view=revision&revision=1481748
>> >> >
>> >> > Best,
>> >> > Christian
>> >> >
>> >> >
>> >> > On Mon, May 13, 2013 at 6:44 PM, Claus Ibsen &lt;
>> >>
>> >> > claus.ibsen@
>> >>
>> >> > &gt; wrote:
>> >> >
>> >> >> Hi
>> >> >>
>> >> >> Yeah I think it would be good to upgrade to Spring 3.2.x for Camel
>> >>2.12.
>> >> >> Certainly if Karaf / SMX will support that version as well.
>> >> >>
>> >> >> On Sun, May 12, 2013 at 11:45 PM, Christian Müller
>> >> >> &lt;
>> >>
>> >> > christian.mueller@
>> >>
>> >> > &gt; wrote:
>> >> >> > I'm wondering whether we should use Spring 3.2.2.RELEASE by
>>default
>> >> for
>> >> >> > Camel 2.12.x.
>> >> >> > This version is stable and by still supporting Spring 3.1.x
>>(with a
>> >> >> > separate CI build), we can make sure Camel 2.12.x is working
>>with
>> >> Karaf
>> >> >> > 2.3.1.
>> >> >> > Starting with Karaf 2.3.2, Karaf comes with a Spring 3.2 feature
>> >>[1].
>> >> >> Karaf
>> >> >> > 2.3.2 is expected for  the next two/three weeks [2].
>> >> >> >
>> >> >> > What do you think?
>> >> >> >
>> >> >> > [1] https://issues.apache.org/jira/browse/KARAF-2062
>> >> >> > [2]
>> >> >> >
>> >> >>
>> >>
>> >>
>> 
>>http://karaf.922171.n3.nabble.com/DISCUSSION-Apache-Karaf-2-3-2-and-3-0-0
>> >>-RC2-in-two-weeks-time-td4028632.html
>> >> >> >
>> >> >> > Best,
>> >> >> > Christian
>> >> >>
>> >> >>
>> >> >>
>> >> >> --
>> >> >> Claus Ibsen
>> >> >> -----------------
>> >> >> www.camelone.org: The open source integration conference.
>> >> >>
>> >> >> Red Hat, Inc.
>> >> >> FuseSource is now part of Red Hat
>> >> >> Email:
>> >>
>> >> > cibsen@
>> >>
>> >> >> Web: http://fusesource.com
>> >> >> Twitter: davsclaus
>> >> >> Blog: http://davsclaus.com
>> >> >> Author of Camel in Action: http://www.manning.com/ibsen
>> >> >>
>> >>
>> >>
>> >>
>> >>
>> >>
>> >> --
>> >> View this message in context:
>> >>
>> >>
>> 
>>http://camel.465427.n5.nabble.com/Upgrade-Spring-3-1-4-RELEASE-3-2-2-RELE
>> >>ASE-tp5732377p5732494.html
>> >> Sent from the Camel Development mailing list archive at Nabble.com.
>> >>
>>
>>
>>



Mime
View raw message